<?php
    session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	require_once('inc/char_set.php');
	require_once('generalpicrequire.php');  //generalpic类型选择语句, 表名、图片文件存储目录、字段变量名 存储变量
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<title>无标题文档</title>
	</head>

	<body>
<?PHP

			
	$ls=$_POST['ls'];
	$id=$_POST['id'];
	
	$modiGeneralpicsText=$_POST['modiGeneralpicsText'];
	$ChangecatePagePic=$_POST['ChangecatePagePic'];
	$image=$_FILES['productPic']['name'];   
	$size=$_FILES['productPic']['size'];   
	$type=$_FILES['productPic']['type'];
	//widget
	file_exists("widget/generalpics/savevars.php")? include "widget/generalpics/savevars.php" :"";  //generalpicrequire.php 中定义
	//end_widget

	switch ($ls)
	{
		case "insert":
			if ($type == "image/gif" || $type == "image/png" || $type == "image/pjpeg" || $type == "image/jpeg" )
			{
			 	if($size < $PicSize) //开始判断图像大小
				{
					$pathBigPic="../".$folder1;
					//echo $pathBigPic."<br>";
					//创建大图文件夹
					createFolder($pathBigPic);
					$pathSmallPic="../".$folder2;
					//echo $pathSmallPic."<br>";
					//创建小图文件夹
					createFolder($pathSmallPic);
										
					$arr=array(" ",".");   
					//产生文件名   
					$productPic=str_replace($arr ,"",time()).".".substr($image,-3);
					
					$pathBigPic=$pathBigPic."/".$productPic;
					//echo $pathBigPic."<br>";
					//上传文件
					move_uploaded_file($_FILES['productPic']['tmp_name'], $pathBigPic);
					
					$srcFile=$pathBigPic; //源地址
					$toW=(isset($thisPicW)?$thisPicW:$SmallPicW);			//宽度
					$toH=(isset($thisPicH)?$thisPicH:$SmallPicH);			//高度
					$toFile=$pathSmallPic."/".$productPic; //目标地址
					//生成缩略图
					ImageResize($srcFile,$toW,$toH,$toFile,false,9,(isset($sameSide)?$sameSide:"N"));
					
					
					$select_sql2="select * from ".$generalTable." ";
					$select_query2=$opendb->query($select_sql2);
					$select_rows2=mysql_num_rows($select_query2); //总数

					
					$insert_sql=sprintf("insert into ".$generalTable." (".$generalpicsPic.",".$generalpicsText.",Num,enable) values(%s,%s,%s,%s)",
					GetSQLValueString($productPic, "text"),
					GetSQLValueString(htmlspecialchars($modiGeneralpicsText,ENT_QUOTES), "text"),
					GetSQLValueString(($select_rows2+1), "int"),
					GetSQLValueString("1", "int")
					);
					$insert_query=$opendb->query($insert_sql);
					
					//widget
					file_exists("widget/generalpics/saveins.php")?include "widget/generalpics/saveins.php" :"";
					//end_widget
					
					echo "
									<form name=\"fm\" method=\"post\" action=\"addmodigenpics.php?gen=".$gen."&ls=insert\">
									<input type=\"hidden\" value=\"".$generalpicsText."\" name=\"generalpicsText\">
									";
									//widget
									file_exists("widget/generalpics/savehidevars.php")?include "widget/generalpics/savehidevars.php" :"";
									//end_widget
									echo "
									<table width='96%' border='0' align='center' cellpadding='1' cellspacing='1' bgcolor='#6396d6'>
					<tr>
						<td height='18' background='images/admin_bg.gif'><div align='center'><font color='#ffffff'><strong>图片信息</strong></font></div>
						</td>
					</tr>
					<tr>
						<td height='213' valign='top' bgcolor='#dee7ff'><br>
							<table width=\"90%\" border=\"0\" align=\"center\" cellpadding=\"3\" cellspacing=\"1\" bgcolor=\"#FFFFFF\">
					 
							  <tr bgcolor=\"#B9DAFF\"> 
								<td height=\"28\" colspan=\"2\"></td>
							  </tr>
							  <tr bgcolor=\"#f4f4f4\"> 
								<td style=\"padding-left:50px;\" >*缩略图：</td>
								<td style=\"padding-left:5px;\" >
									<img src=\" ".$toFile." \" width=\"".(isset($thisPicW)?$thisPicW:$SmallPicW)."\" height=\"".(isset($thisPicH)?$thisPicH:$SmallPicH)."\" border=\"1\" >
									
								</td>
							  </tr>
							  <tr bgcolor=\"#f4f4f4\"> 
								<td style=\"padding-left:50px;\" width=\"30%\">简介：</td>
								<td>
								".htmlspecialchars_decode($modiGeneralpicsText,ENT_QUOTES)."
								</td>
							  </tr>
							  <tr bgcolor=\"#B9DAFF\"> 
								<td height=\"28\" colspan=\"2\" align=\"center\">
								<input type=\"submit\" value=\"继续添加\">
								<input type=\"button\" value=\"返回列表\" onclick=\"javascript:location='generalpics.php?gen=".$gen."';\">
								</td>
							  </tr>
							
							</table>
							<br/>
						</td>
					</tr>
					</table>
					</form>
					";
					}						
				 else
					{
						echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
					}
				}
			else
				{
					 echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
				}
			
			break;
		
	
		case "update":
					
					  if($ChangecatePagePic=="yes")
	  				 	{
	  				 		//判断图像格式
	  				 		if ($type == "image/gif" || $type == "image/png" || $type == "image/pjpeg" || $type == "image/jpeg" )
								{
									if($size < $PicSize) //开始判断图像大小
									{
										$pathBigPic="../".$folder1;
										$pathSmallPic="../".$folder2;
						
										$arr=array(" ",".");   
										//产生文件名   
										$pic=$_POST['Pic'];
										$pic=trim(str_replace(substr($image,-4),"",$pic));
										//echo $pic;
										$productPic=str_replace($arr ,"",$pic).".".substr($image,-3);
																				
										$pathBigPic=$pathBigPic."/".$productPic;
										//echo $pathBigPic;
										//上传文件
										move_uploaded_file($_FILES['productPic']['tmp_name'], $pathBigPic);
										
										$srcFile=$pathBigPic; //源地址
										$toW=(isset($thisPicW)?$thisPicW:$SmallPicW);			//宽度
										$toH=(isset($thisPicH)?$thisPicH:$SmallPicH);			//高度
										$toFile=$pathSmallPic."/".$productPic; //目标地址
										//echo $toFile;
										//生成缩略图
										ImageResize($srcFile,$toW,$toH,$toFile,false,9,(isset($sameSide)?$sameSide:"N"));			
										}
											else
											{
												echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
											}
										}
										else
										{
											 echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
										}
	  				 	} 
	  				 	
						$update_sql=sprintf("update ".$generalTable." set ".$generalpicsText."=%s where ID=%s",
						 GetSQLValueString(htmlspecialchars($modiGeneralpicsText,ENT_QUOTES), "text"),
						GetSQLValueString($id, "int")
						);
						
						//widget
						file_exists("widget/generalpics/savemod.php")?include "widget/generalpics/savemod.php" :"";
						//end_widget
						
						//更新数据
						$update_query=$opendb->query($update_sql);
						
						$_SESSION["refreshModi"]=true;
				
						echo "<script>alert('数据更新成功');location='addmodigenpics.php?gen=".$gen."&id=".$id."&ls=update';</script>";
				
		break;	
	}
?>
	</body>
</html>